.close_btn {
  position: absolute;
  top: -15px;
  right: -15px;
  width: 30px;
  height: 30px;
  background-color: #888;
  border: solid 1px #bbb;
  border-radius: 15px;
  box-sizing: border-box;
  cursor: pointer;
}
.close_btn:before, .close_btn:after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 60%;
  height: 3px;
  display: block;
  background-color: #ccc;
}
.close_btn:before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.close_btn:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

#meal_decide_roulette {
  /* end content_box */
}
#meal_decide_roulette .content_box .input_group:not(:last-of-type) {
  margin-bottom: 35px;
}
#meal_decide_roulette .content_box .pseudo_select {
  position: relative;
  top: 0px;
  left: 0px;
  padding: 20px;
  width: 100%;
  height: auto;
  display: none;
  background-color: #fff;
  box-sizing: border-box;
  border-radius: 5px;
  border: solid 1px #ccc;
  cursor: pointer;
}
#meal_decide_roulette .content_box .pseudo_select:after {
  content: "";
  position: absolute;
  top: 0px;
  right: 0px;
  width: 30px;
  height: 100%;
  display: block;
  border-top: solid 1px #ccc;
  border-right: solid 1px #ccc;
  border-bottom: solid 1px #ccc;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  background-color: #429ce6;
  box-sizing: border-box;
  background-image: url(./img/arrow.png);
  background-repeat: no-repeat;
  background-position: center center;
  pointer-events: none;
}
#meal_decide_roulette .content_box .pseudo_select span {
  font-size: 16px;
}
#meal_decide_roulette .content_box .checkbox_group_wrap {
  display: block;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group_inner {
  padding: 20px;
  background-color: #fff;
  border: solid 1px #ccc;
  border-radius: 5px;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group_inner label {
  position: relative;
  top: 0px;
  left: 0px;
  padding: 8px;
  width: 100%;
  font-size: 14px;
  display: block;
  background-color: #ddd;
  border: solid 1px #ccc;
  border-radius: 5px;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group_inner label input[type=checkbox] {
  position: absolute;
  top: 50%;
  left: 15px;
  transform: translateY(-50%) scale(1.25);
  cursor: pointer;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group_inner label span {
  padding-left: 30px;
  display: block;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group_inner .checked {
  color: #fff;
  background-color: #57b6f9;
}
#meal_decide_roulette .content_box .checkbox_group_wrap .checkbox_group .close_btn {
  display: none;
}
#meal_decide_roulette .content_box .overlay {
  z-index: 100;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.75);
}
#meal_decide_roulette .content_box .overlay .checkbox_group {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 40px 0px;
  width: 80%;
  height: auto;
  background-color: #fff;
  border-radius: 5px;
  transform: translate(-50%, -50%);
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner {
  padding: 0px;
  width: 100%;
  height: 300px;
  display: block;
  border: none;
  border-radius: 0px;
  overflow-y: auto;
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner label {
  padding: 20px 10px;
  font-size: 16px;
  border-radius: 0px;
  border: none;
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner label:not(:last-child) {
  border-bottom: solid 1px #ccc;
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner label input[type=checkbox] {
  transform: translateY(-50%) scale(1.65);
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner label span {
  padding-left: 40px;
  display: block;
}
#meal_decide_roulette .content_box .overlay .checkbox_group_inner .checked {
  color: #000;
  background-color: #ddd;
}
#meal_decide_roulette .content_box .overlay .checkbox_group .close_btn {
  display: block;
}
#meal_decide_roulette .content_box input[type=submit] {
  margin: auto;
  max-width: 250px;
  width: 100%;
  height: 50px;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  border-radius: 5px;
  background-color: #f3a13f;
  cursor: pointer;
  transition: opacity 0.3s;
}
#meal_decide_roulette .content_box input[type=submit]:hover {
  opacity: 0.7;
}

/* end meal_decide_roulette */
.roulette_result_wrap {
  z-index: 100;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  display: none;
  background-color: rgba(0, 0, 0, 0.75);
}
.roulette_result_wrap .roulette_result {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 20px;
  background-color: #fff;
  box-sizing: border-box;
  border-solid: 1px #ccc;
  border-radius: 5px;
  box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.5);
  transform: translate(-50%, -50%);
}
.roulette_result_wrap .roulette_result .roulette_text {
  margin-bottom: 25px;
  font-size: 25px;
  font-weight: bold;
  text-align: center;
  display: block;
}
.roulette_result_wrap .roulette_result .result_btn {
  padding: 15px 10px;
  width: 100%;
  width: 300px;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  border: solid 1px #ccc;
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s;
}
.roulette_result_wrap .roulette_result .result_btn:hover {
  opacity: 0.7;
}
.roulette_result_wrap .roulette_result .result_btn:not(:last-child) {
  margin-bottom: 15px;
}
.roulette_result_wrap .roulette_result .result_btn i {
  width: 22px;
  height: 22px;
  background-repeat: no-repeat;
  background-size: 22px auto;
  background-position: center center;
}
.roulette_result_wrap .roulette_result .result_btn span {
  margin-left: 7px;
  font-size: 18px;
  color: #fff;
}
.roulette_result_wrap .roulette_result .tweet_btn {
  background-color: #3aa5f7;
}
.roulette_result_wrap .roulette_result .tweet_btn i.ico_tweet {
  background-image: url(../common/img/btn_tw.png);
}
.roulette_result_wrap .roulette_result .map_btn {
  background-color: #fbbc05;
}
.roulette_result_wrap .roulette_result .map_btn i.ico_map {
  background-image: url(./img/ico_map.png);
}
.roulette_result_wrap .roulette_result .delivery_btn {
  background-color: #5fb72e;
}
.roulette_result_wrap .roulette_result .delivery_btn i.ico_delivery {
  background-image: url(./img/ico_delivery.png);
}

@media screen and (max-width: 480px) {
  #meal_decide_roulette .content_box .pseudo_select {
    display: block;
  }
  #meal_decide_roulette .content_box .checkbox_group_wrap {
    display: none;
  }
  #meal_decide_roulette .content_box .overlay {
    display: block;
  }
  #meal_decide_roulette .content_box input[type=submit] {
    max-width: 100%;
  }
}